LabVIEW Public Beta Program in 2024

cancel
Showing results for 
Search instead for 
Did you mean: 

Beta Change: TLS Updated to OpenSSL 3.0

Warning: Installing the LabVIEW 2024 Q3 Beta will replace LabVIEW 2024 Q1 if installed. Also, you will need to uninstall LabVIEW 2024 Q3 Beta before installing the release version; upgrading with NI Package Manager will not work.

 

LabVIEW TLS support has been recompiled to use OpenSSL 3.0. We would appreciate regression testing with client use cases.

 

Caveats and Known Issues

  1. Certificate and key loading from disk doesn't work.
  2. Server usage (Accept TLS) does work (but may not be usable because of the above).
  3. TLS 1.3 is not yet tested and not yet expected to work.
  4. HTTP Client, SMTP Client, and WebDAV client have not yet been updated.

Christina Rogers
Principal Product Owner, LabVIEW R&D
Message 1 of 2
(385 Views)

@Christina_R wrote:

Warning: Installing the LabVIEW 2024 Q3 Beta will replace LabVIEW 2024 Q1 if installed. Also, you will need to uninstall LabVIEW 2024 Q3 Beta before installing the release version; upgrading with NI Package Manager will not work.

 

LabVIEW TLS support has been recompiled to use OpenSSL 3.0. We would appreciate regression testing with client use cases.

 

Caveats and Known Issues

  1. Certificate and key loading from disk doesn't work.
  2. Server usage (Accept TLS) does work (but may not be usable because of the above).
  3. TLS 1.3 is not yet tested and not yet expected to work.
  4. HTTP Client, SMTP Client, and WebDAV client have not yet been updated.

I am using LV 2023 Q3. I never installed LV 2024. Regardless, I need to get this issue resolved.

 

ETA: Posted reply in wrong thread.



Mark Yedinak
Certified LabVIEW Architect
LabVIEW Champion

"Does anyone know where the love of God goes when the waves turn the minutes to hours?"
Wreck of the Edmund Fitzgerald - Gordon Lightfoot
0 Kudos
Message 2 of 2
(356 Views)